Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 720730 - <sys-libs/glibc-2.31-r6: Use after free in glob function (CVE-2020-1752)
Summary: <sys-libs/glibc-2.31-r6: Use after free in glob function (CVE-2020-1752)
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal major (vote)
Assignee: Gentoo Security
URL: https://sourceware.org/bugzilla/show_...
Whiteboard: A2 [glsa+ cve]
Keywords:
Depends on:
Blocks:
 
Reported: 2020-05-02 21:42 UTC by GLSAMaker/CVETool Bot
Modified: 2021-01-25 00:06 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description GLSAMaker/CVETool Bot gentoo-dev 2020-05-02 21:42:17 UTC
CVE-2020-1752 (https://nvd.nist.gov/vuln/detail/CVE-2020-1752):
  A use-after-free vulnerability introduced in glibc upstream version 2.14 was
  found in the way the tilde expansion was carried out. Directory paths
  containing an initial tilde followed by a valid username were affected by
  this issue. A local attacker could exploit this flaw by creating a specially
  crafted path that, when processed by the glob function, would potentially
  lead to arbitrary code execution. This was fixed in version 2.32.
Comment 1 Sam James archtester gentoo-dev Security 2020-05-02 22:15:34 UTC
@maintainer(s), please let us know which patchset (if any) this has been included in.
Comment 3 Yury German Gentoo Infrastructure gentoo-dev 2020-05-22 01:04:42 UTC
As per upstream

2020-03-18 00:23:54 UTC
Was committed to 2.31 Master branch
Was committed to 2.30 master branch

Maintainers please confirm if this made it in to 2.30-r8, if not please create ebuild and stable appropriately.
Comment 4 John Helmert III gentoo-dev Security 2020-07-30 04:37:31 UTC
Ping
Comment 5 Andreas K. Hüttel gentoo-dev 2020-10-21 18:11:57 UTC
Is fixed in sys-libs/glibc-2.31-r6
Comment 6 Andreas K. Hüttel gentoo-dev 2020-10-30 19:38:03 UTC
All masked. Security please proceed. No cleanup.
Comment 7 GLSAMaker/CVETool Bot gentoo-dev 2021-01-25 00:06:01 UTC
This issue was resolved and addressed in
 GLSA 202101-20 at https://security.gentoo.org/glsa/202101-20
by GLSA coordinator Aaron Bauman (b-man).